Generate an issue report

This request lets you generate a report containing issues that match the specified search criteria.

POST

https://api.tracker.yandex.net/v3/entities/report/

Request format

Before making the request, get access to the API.

To generate a report, make an HTTP request using the POST method. The request body contains report parameters and criteria for searching issues.

POST /v3/entities/report/
Host: api.tracker.yandex.net
Authorization: OAuth <OAuth token>
Content-Type: application/json
X-Org-ID or X-Cloud-Org-ID: <organization_ID>

{
  "fields": {
    "summary": "Issue export",
    "parameters": {
      "type": "issueFilterExport",
      "format": "xlsx",
      "filter": {
        "query": "Queue: SUPPORT \"Sort by\": Updated DESC",
        "sorts": [
          {
            "orderBy": "updated",
            "orderAsc": false
          }
        ]
      },
      "fields": [
        "priority",
        "type",
        "key",
        "summary",
        "assignee",
        "status",
        "updated"
      ]
    }
  }
}
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth <OAuth_token>: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer <IAM_token>: For authorization using an IAM token, if a Yandex Cloud Organization organization is linked to Tracker. Learn more

  • X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Cloud Organization.

    To get the organization ID, go to AdministrationOrganizations and copy the value from the ID field.

Request body parameters

Required parameters

Parameter Description Format
fields Object containing report parameters. Object

Fields of the fields object

Parameter Description Format
summary Report name. String
parameters Object containing export settings. Object

Fields of the parameters object

Parameter Description Format
type Export type. Value: issueFilterExport. String
format Export format. Values: xlsx, xml, csv. String
filter Object containing issue filter parameters. Object
fields List of issue fields to include in the report. For example: priority, type, key, summary, assignee, status, updated. Array of strings

Fields of the filter object

Parameter Description Format
query Filter in the query language. String
filter Issue filter parameters. You can specify any field name and a value to filter by in this parameter. Full list of issue fields Object
filterId ID of a saved filter. Number
sorts Array of objects containing sorting parameters. Array of objects

You can use one of the following parameters:

  • query: A filter in the query language.
  • filter: An object containing filter parameters.
  • filterId: The ID of a saved filter.

Using multiple parameters at the same time is not supported.

Fields of the sorts object

Parameter Description Format
orderBy Field to sort by. String
orderAsc Sorting order: true for ascending, false for descending. Boolean

Example 1: Generating a report using the query language

  • Issue report in XLSX format.
  • The report contains issues from the SUPPORT queue.
  • Results are sorted by the update date in descending order.
  • The report includes the following fields: priority, type, key, summary, assignee, status, update date.
POST /v3/entities/report/ HTTP/1.1
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
Content-Type: application/json
X-Org-ID: 1234******

{
  "fields": {
    "summary": "SUPPORT queue issue export",
    "parameters": {
      "type": "issueFilterExport",
      "format": "xlsx",
      "filter": {
        "query": "Queue: SUPPORT \"Sort by\": Updated DESC",
        "sorts": [
          {
            "orderBy": "updated",
            "orderAsc": false
          }
        ]
      },
      "fields": [
        "priority",
        "type",
        "key",
        "summary",
        "assignee",
        "status",
        "updated"
      ]
    }
  }
}

Example 2: Generating a report using a filter object

  • Issue report in XLSX format.
  • The report is generated using the following parameters: issues from the TREK queue that have no assignee.
  • The report includes key issue fields.
POST /v3/entities/report/ HTTP/1.1
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
Content-Type: application/json
X-Cloud-Org-ID: ab1c******

{
  "fields": {
    "summary": "Issues with no assignee",
    "parameters": {
      "type": "issueFilterExport",
      "format": "xlsx",
      "filter": {
        "filter": {
          "queue": "TREK",
          "assignee": "empty()"
        }
      },
      "fields": [
        "key",
        "summary",
        "status",
        "priority",
        "created"
      ]
    }
  }
}

Example 3: Generating a report using a saved filter

  • Issue report in XLSX format.
  • The report is created based on a saved filter with ID 12345.
  • The report includes key issue fields.
POST /v3/entities/report/ HTTP/1.1
Host: api.tracker.yandex.net
Authorization: OAuth y0__xAbc******
Content-Type: application/json
X-Org-ID: 1234******

{
  "fields": {
    "summary": "Report based on a saved filter",
    "parameters": {
      "type": "issueFilterExport",
      "format": "xlsx",
      "filter": {
        "filterId": 12345
      }
      "fields": [
        "key",
        "summary",
        "status",
        "assignee",
        "priority",
        "updated"
      ]
    }
  }
}

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains information about the generated report in JSON format.

{
    "self": "https://api.tracker.yandex.net/v3/entities/report/68f68b553cdc3969e0445570",
    "id": "68f68b553cdc3969e0445570",
    "version": 1,
    "shortId": 142,
    "entityType": "report",
    "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/8000000000000004",
        "id": "8000000000000004",
        "display": "User Name",
        "cloudUid": "aje71i6t2tuvanuoimem",
        "passportUid": 1234567890
    },
    "createdAt": "2025-10-20T19:19:49.120+0000",
    "updatedAt": "2025-10-20T19:19:49.120+0000"
}
Response parameters
Parameter Description Data type
self Address of the API resource that contains information about the report. String
id Report ID.
To open the report in the Tracker interface, substitute the ID into the address and open it in your browser:
https://tracker.yandex.com/pages/reports/<report_id>
String
version Report version. Number
shortId Short report ID. Number
entityType Entity type. Value: report. String
createdBy Object containing information about the report creator. Object
createdAt Date and time the report was created in the format YYYY-MM-DDThh:mm:ss.sss±hhmm. String
updatedAt Date and time the report was last updated in the format YYYY-MM-DDThh:mm:ss.sss±hhmm. String

Fields of the createdBy object

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Cloud Organization String

If the request could not be processed successfully, the API returns a response with an error code:

400
One or more request parameters have an invalid value.
401
The user is not authorized. Make sure that actions described in the API access section are performed.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
404
The requested object was not found. You may have specified an invalid object ID or key.

In Yandex Tracker, you can use filters to search for issues by parameters. For example, you can find all issues in queues where you have the author or assignee status.